
ISIS - Recommendation #2114

Create programs to import Magellan FBIDR, Voyager, and Apollo Metric data into SOCET SET

2014-06-11 02:59 PM - Janet Barrett

Status: In Progress   

Priority: High   

Assignee: Janet Barrett   

Category: Applications   

Target version:    

Impact: These applications will have no impact

on other parts of ISIS.

Software Version: 3.4.10 (FY15 R3 2015-07-23 Jul)

Description

Several programs need to be written to allow for the import of Magellan FBIDR, Voyager, and Apollo Metric data into SOCET set.

History

#1 - 2014-06-11 02:59 PM - Janet Barrett

- Status changed from New to Acknowledged

#2 - 2014-06-11 03:00 PM - Janet Barrett

- Status changed from Acknowledged to In Progress

#3 - 2014-06-11 03:03 PM - Janet Barrett

The bidr2isis program in ISIS2 has been ported to ISIS3 and renamed mgnbidr2isis. The program can be tested by setting isis to

/work/project/isis/latest/m02114/isis.

#4 - 2015-12-09 12:27 PM - Bradley Thomson

- Priority changed from Normal to High

- Software Version set to 3.4.10 (FY15 R3 2015-07-23 Jul)

I cannot find the repacked ISIS3 program "mgnbidr2isis," and do not know how to test this program by setting isis to the 

/work/project/isis/latest/m02114/isis. This subdirectory does not seem to be present in my ISIS3 installation.

Furthermore, the there is no ISIS2 program "bidr2isis" listed in the ISIS2 software manual.

 https://isis.astrogeology.usgs.gov/Isis2/isis-bin/alphaprogs.cgi

Any advice on how to proceed using this apparently implemented(?) recommendation would be appreciated.

Thanks,

Brad

#5 - 2016-01-22 09:37 AM - Tammy Becker

Hi Brad,

I have consulted with a few folks on the status of the Magellan conversion effort.   First, historically Astro has only worked with level2 (map projected)

products.  The application "mgnbidr2isis" is in a very "pre-beta" state and the testing has not been completed based on lack of resources.   I have

looked at the user documentation of "mgnbidr2isis" to confirm that it is intended to convert "Sinusoidal projected FBIDR data " to ISIS3.  I was unable

to find a 'bidr2isis' in ISIS2 as well.  I did find an ISIS2 application "fmidrfixlabel", this application was applied to the converted output of "pds2isis" for

FMIDR products (in order to update mission specific ISIS keywords).
Keep in mind many of the Magellan map products are available:  http://astrogeology.usgs.gov/search/results?q=MAP2&k1=target&v1=Venus

Please note that "/work/project/isis/latest/m02114/isis" is available for internal testing only, this is not routinely available in any released ISIS versions.

In general, any reference to a version of ISIS specific to the redmine ticket number (/work/project/isis/latest/m0-ticket#/isis) indicates the application is

ready for the +first+ round of internal testing (pre-beta).   We currently do not have a way for external users to access this stage of development.

I hope this helps!
